GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "7b84c6a9-7e7c-4cb1-a90b-67d5ad2ce2f1",
      "CompanyId": "91edc042-31a5-4a68-89b8-33a6b1a3426b",
      "TaskStatusTypeId": "fbd4a8a8-245f-4ae7-90cc-c8aa60e370df",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "8007e8a5-eb0c-44e2-ad75-37078a53b97d",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "7b84c6a9-7e7c-4cb1-a90b-67d5ad2ce2f1",
      "CompanyId": "91edc042-31a5-4a68-89b8-33a6b1a3426b",
      "TaskStatusTypeId": "fbd4a8a8-245f-4ae7-90cc-c8aa60e370df",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "8007e8a5-eb0c-44e2-ad75-37078a53b97d",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}